#ifndef __RTC_H__
#define __RTC_H__

#include <stdint.h>
#include <time.h>

#define RTC_ADDRESS (0x68)

void rtc_init(void);
time_t rtc_get_timestamp(void);
void rtc_set_timestamp(time_t timestamp);
void rtc_set_time(uint8_t year, uint8_t month, uint8_t day, uint8_t hour, uint8_t minute, uint8_t second);

uint8_t rtc_get_second(void);
uint8_t rtc_get_minute(void);
uint8_t rtc_get_hour(void);
uint8_t rtc_get_day(void);
uint8_t rtc_get_month(void);
uint8_t rtc_get_year(void);

void rtc_set_second(uint8_t second);
void rtc_set_minute(uint8_t minute);
void rtc_set_hour(uint8_t hour);
void rtc_set_day(uint8_t day);
void rtc_set_month(uint8_t month);
void rtc_set_year(uint8_t year);

#endif