/*
 * securty.h
 *
 * Created: 28.11.2013 19:18:11
 *  Author: nsr
 */ 


#ifndef SECURTY_H_
#define SECURTY_H_

#define VALIDATE_INVALID_TIME -1
#define VALIDATE_INVALID_HMAC -2
#define VALIDATE_INVALID_DATALEN -3
#define VALIDATE_SECURITY_DISABLED -4
#define VALIDATE_SUCCESS 1
#define VALIDATE_AND_RESPOND_OUT_OF_MEMORY -5

#define HMAC_KEY "ABCD"
#define TOLERANCE 8

#define MAX_PACKET_SIZE 4096

#define SECURITY_MODE_OFF 0
#define SECURITY_MODE_NO_TIME 1
#define SECURITY_MODE_BASIC_AUTH 2
#define SECURITY_MODE_EXTENDED_AUTH 3

//protocol position definitions
#define PROTO_POS_TIMESTAMP 0
#define PROTO_POS_HMAC 4
#define PROTO_POS_DATALEN 20
#define PROTO_HEADERLEN 22
#define PROTO_HMACLEN 16


void security_init(int init_mode);
int security_set_mode(int new_mode);

int security_validate_and_respond(char *inbuf, char **outbuf, int (*cb_success)(char *, char **, unsigned short), int (*cb_fail) (int, char **));
static void security_response(char **outbuf, unsigned short outlen, char *hmac);
static int security_validate(char *inbuf);
static unsigned short security_extract_data_length(char *inbuf);
#endif /* SECURTY_H_ */