
#include "link_simulation.h"
#include "security/security.h"
#include "FreeRTOS.h"
#include "task.h"
#include "security/rtc.h"
#include "string.h"

#include "stdio_usb.h"

int beacon_out(char *msg){
	printf("[BEACON] NTNU Test Satellite; %s\n", msg);
	return 1;
}


void simulation_beacon_task(){
	const portTickType delay = 5000 / portTICK_RATE_MS;
	char timebuf[10];
	for(;;){
		int32_t time = rtc_get_timestamp();
		sprintf(timebuf,"%d",time);
		beacon_out(&timebuf);
		
		vTaskDelay(delay);
		
	}
}

int simulation_cb_success(char *data, char **outbuf, unsigned short datalen){
	//process data

	*outbuf = malloc(30 * sizeof(char));
	snprintf(*outbuf,30,"Packet successful validated!\n");
	return 30;
}

int simulation_cb_fail(int errorcode, char **outbuf){
	*outbuf = malloc(30 * sizeof(char));
	snprintf(*outbuf,30,"Validation failed: %d\n", errorcode);
	return 30;
}
void simulation_link_task(){
	TickType_t timeStart, timeEnd;
	char recbuf[MAX_PACKET_SIZE];	
	int status;
	char **outbuf = malloc(sizeof(char *));
	for(;;){
		unsigned short length;
		
	
			
		fread(&length, sizeof(short), 1, stdin);
		if(length == 0 || length > MAX_PACKET_SIZE)
			continue;
		printf("[DEBUG] Incoming packet with length: %d\n", length);
		
		memset(recbuf,0,MAX_PACKET_SIZE);
	
		fread(recbuf,sizeof(char),length, stdin);

	
		//printf("[DEBUG] Received: %s\n",recbuf);
				
		 
		timeStart = xTaskGetTickCount();
		status = security_validate_and_respond(recbuf, outbuf, simulation_cb_success, simulation_cb_fail);

		timeEnd = xTaskGetTickCount();
		printf("[DEBUG] Called validate and response function: %d\n",status);	
		printf("[DEBUG] Elapsed Time: %d ms\n",timeEnd-timeStart);
		printf("[RESPONSE] %s\n", *outbuf);
		
		free(*outbuf);
	}
}