#!/usr/bin/perl
use warnings;
use strict;
use Digest::HMAC_MD5 qw(hmac_md5 hmac_md5_hex);

my $ifilename = shift;
my $timestamp_int = shift;
my $key = shift;
my $data;

open FILE, "<", $ifilename or die $!;
{ 
	local $/ ; 
	$data = <FILE> ;  
}
close FILE;

my $timestamp = pack "N",int($timestamp_int);

my $digest = "\0"x16;
my $length = pack "n", length($data);
my $uplink_data = $timestamp.$digest.$length.$data;
my $hmac_hex = hmac_md5_hex($uplink_data, $key);
my $filename = "secured_out/$timestamp_int\_$hmac_hex";
$digest = hmac_md5($uplink_data, $key);

$uplink_data = $timestamp.$digest.$length.$data;

open FILE, "+>", $filename or die $!;
print FILE $uplink_data;
close FILE;

print $filename;